;-| Super Motions |--------------------------------------------------------
[Command]
name = "hypermotion"
command = F,F,B,b
time = 30

;-| Special Motions |------------------------------------------------------
[Command]
name = "aioff"
command = s

[Command]
name = "Special Mode"
command = D,F,D,B,b
time = 30

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = a+b
time = 1

[Command]
name = "ab"
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup"   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

;----------|A.I|--------------------------------------------------
[Command]
name = "ai1"
command = a+b+c+x+y+z+B

[Command]
name = "ai2"
command = a+b+c+x+y+z+F

[Command]
name = "ai3"
command = a+b+c+x+y+z+D

[Command]
name = "ai4"
command = a+b+c+x+z+U

[Command]
name = "ai5"
command = a+b+c+y+z

[Command]
name = "ai6"
command = a+b+x+y+z

[Command]
name = "ai7"
command = b+c+x+y+z

[Command]
name = "ai8"
command = a+b+c+x+y

[Command]
name = "ai9"
command = x+y

;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
triggerall = Ctrl = 1
triggerall = StateType = S
triggerall = Pos Y = 0
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = command = "FF"
trigger2 = Var(59) = 1
trigger2 = Var(2)!= 1
trigger2 = P2MoveType = A
trigger2 = P2Dist X < 90
trigger2 = Var(6) != 1
trigger3 = Var(59) = 1
trigger3 = Var(2) != 1
trigger3 = P2Dist X < 0
trigger4 = Var(59) = 1
trigger4 = P2BodyDist X > 150
trigger4 = P2MoveType = A
trigger5 = Var(59) = 1
trigger5 = Var(2)!= 1
trigger5 = P2Dist X < 79
trigger5 =Random = [0,1000/60]
triggerall = statetype = S
triggerall = ctrl

[State -1]
type = VarSet
triggerall = StateNo = 5110
triggerall = Alive
trigger1 = Var(59)
trigger1 = StateNo != 2001
v = 6
value = 0

[State -1]
type = ChangeState
triggerall = Ctrl
triggerall = StateType = S
triggerall = StateNo != 20
triggerall = PrevStateNo != 20
triggerall = RoundState = 2
trigger1 = Var(59)
trigger1 = P2BodyDist X = [79,150)
trigger1 = P2MoveType != A
trigger2 = Var(59)
trigger2 = (P2BodyDist X = [0,76])&&(P2StateType = L)
trigger2 = P2MoveType != A
trigger3 = Var(59)
trigger3 = P2BodyDist X = [153,250]
trigger3 = BackEdgeBodyDist > 3
value = 20

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = command = "BB"
trigger2 = Var(59) = 1
trigger2 = P2MoveType = A
trigger2 = P2Dist X > 100
trigger2 = P2Dist X < 250
trigger2 = BackEdgeDist > 50
triggerall = statetype = S
triggerall = ctrl = 1

;------------------------------------------------------------------------------
;Guard
[State -1]
type = Null;ChangeState
triggerall = Alive = 1
trigger1 = Var(59) = 1
trigger1 = Ctrl = 1
trigger1 = P2Dist X <= 110
trigger1 = P2Dist X >= 90
trigger1 = P2MoveType = A
trigger1 = P2StateType != A
trigger1 = StateNo = 0
trigger1 = Pos Y = 0
value = 130

[State -1]
type = Null;ChangeState
triggerall = Alive = 1
trigger1 = Var(59) = 1
trigger1 = Ctrl = 1
trigger1 = P2Dist X <= 100
trigger1 = P2Dist X >= 90
trigger1 = P2MoveType = A
trigger1 = P2StateType = A
trigger1 = StateNo = 0
trigger1 = Pos Y = 0
value = 130

;===========================================================================
[State -1]
type = VarSet
trigger1 = StateNo < 1000
v = 3
value = 0

;---------------Special Motion--------------------
;ޤM
[State -1]
type = ChangeState
triggerall = Ctrl
triggerall = StateType = S
triggerall = Pos Y = 0
triggerall = Alive = 1
trigger1 = !Var(59)
trigger1 = Command = "c"
trigger2 = Var(59)
trigger2 = P2BodyDist X = [200,250]
trigger2 = P2MoveType != A
trigger2 = RoundState = 2
trigger3 = Var(59)
trigger3 = P2StateNo = 5110
trigger3 = P2BodyDist X < 82
trigger3 = P2BodyDist X >= 60
trigger3 = RoundState = 2
trigger4 = Var(59) = 1
trigger4 = Var(1) = 1
trigger4 = P2StateType = L
trigger4 = P2BodyDist X < 82
trigger4 = P2BodyDist X >= 60
trigger4 = RoundState = 2
value = 1000

;--------------Normal Attack-----------------------
;Stand_A+B
[State -1]
type = ChangeState
triggerall = Ctrl = 1
triggerall = StateType = S
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = Command = "recovery"
trigger2 = Var(59) = 1
trigger2 = Var(1) = 1
trigger2 = P2BodyDist X < 50
trigger2 = P2Dist Y < -60
value = 300

;---------------------------------------------
;Crouch_A+direction
[State -1]
type = ChangeState
triggerall = StateType = C
triggerall = Alive = 1
triggerall = Ctrl = 1
triggerall = Command = "holddown"
triggerall = Command = "a"
trigger1 = Var(59) != 1
trigger1 = Command = "holdfwd"
trigger1 = Var(59) != 1
trigger2 = Command = "holdback"
trigger2 = RoundState = 2
trigger3 = StateType = C
trigger3 = Ctrl = 1
trigger3 = Var(59) = 1
trigger3 = P2BodyDist X < 57
trigger3 = P2BodyDist Y > -100
trigger3 = RoundState = 2
value = 400

;--------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
triggerall = Ctrl = 1
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = StateType = C
trigger1 = Command = "holddown"
trigger1 = Command = "b"
trigger2 = Var(59) = 1
trigger2 = StateType != A
trigger2 = P2StateType = S
trigger2 = P2BodyDist X = [58,79)
trigger2 = P2Dist X > 0
trigger2 = P2StateNo != 5110
trigger2 = P2StateType != L
trigger2 = RoundState = 2
value = 410

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
triggerall = StateType != A
triggerall = Ctrl = 1
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = Command = "a"
trigger2 = Var(59) = 1
trigger2 = P2StateType = S
trigger2 = P2BodyDist X = [40,58)
trigger2 = P2Dist X > 0
trigger2 = Var(1) = 0
trigger2 = RoundState = 2
value = 200

;------------------------------------------
;Stand_B
[State -1]
type = ChangeState
triggerall = Alive = 1
triggerall = Ctrl = 1
triggerall = StateType = S
trigger1 = Var(59) != 1
trigger1 = Command = "b"
trigger2 = Var(59) = 1
trigger2 = P2StateType != A
trigger2 = P2BodyDist X < 40
trigger2 = P2Dist X > 0
trigger2 = P2StateNo != 5110
trigger2 = RoundState = 2
value = 210

;-----------------------------------------
;Jump_A
[State -1]
type = ChangeState
trigger1 = Var(59)
trigger1 = P2StateNo = 11
trigger1 = P2MoveType != A
trigger1 = Ctrl
trigger1 = StateType = S
trigger1 = P2BodyDist X = (76,96)
trigger1 = RoundState = 2
trigger1 = Random = [0,499]
value = 40

[State -1]
type = ChangeState
triggerall = Ctrl
triggerall = Alive
triggerall = StateNo = 50
trigger1 = !Var(59)
trigger1 = Command = "a"
trigger1 = Var(31) != 1
trigger1 = ((Vel Y < 0) && (Vel X <= 0)) || (Vel Y > 0)
trigger2 = Var(59)
trigger2 = P2BodyDist X = (80,115)
trigger2 = (Vel Y < 0) && (Vel X <= 0)
trigger3 = Var(59)
trigger3 = Vel Y > 0
value = 600
ctrl = 0

[State -1]
type = ChangeState
triggerall = Ctrl
triggerall = StateNo = 50
triggerall = Vel Y <= 0
triggerall = Vel X > 0
triggerall = Var(31) != 1
triggerall = Alive
trigger1 = !Var(59)
trigger1 = Command = "a"
trigger2 = Var(59)
trigger2 = P2BodyDist X < 80
value = 601
ctrl = 0

;------------------------------------------
;Jump_B
[State -1]
type = VarSet
trigger1 = StateNo = 50
trigger1 = Time = 0
v = 31
value = 0

[State -1]
type = VarSet
triggerall = Alive = 1
trigger1 = !Var(59)
trigger1 = Command = "b"
trigger1 = Ctrl = 1
trigger1 = StateNo = 50
trigger2 = !Var(59)
trigger2 = Command = "b"
trigger2 = Ctrl = 1
trigger2 = StateNo = 50
trigger3 = Var(59)
trigger3 = P2BodyDist X < 99
trigger3 = Ctrl = 1
trigger3 = StateNo = 50
trigger4 = Var(59)
trigger4 = P2BodyDist X < 99
trigger4 = Ctrl = 1
trigger4 = StateNo = 50
v = 31
value = 1

;---------------------------------------
;Jump_C
[State -1]
type = ChangeState
triggerall = Ctrl = 1
triggerall = StateNo = 50
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = Command = "c"
trigger2 = Var(59)
trigger2 = P2Dist X = [115,150]
trigger2 = P2Dist Y < 0
value = 10000
ctrl = 0

;----------------------------------------
;Run when liedown
[State -1]
type = ChangeState
triggerall = StateNo = 5110
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = Command = "FF"
trigger2 = Var(59) = 1
trigger2 = Var(2) != 1
trigger2 = P2Dist X > 250
trigger3 = Var(59) = 1
trigger3 = Var(2) != 1
trigger3 = P2Dist X < 80
trigger3 = P2Dist X > 0
trigger3 = P2MoveType = A
trigger3 = FrontEdgeDist > 60
trigger4 = Var(59) = 1
trigger4 = Var(2) != 1
trigger4 = P2Dist X > 0
trigger4 = P2BodyDist X < 100
value = 2000
ctrl = 0

[State -1]
type = VarSet
triggerall = StateNo = 5110
triggerall = Alive = 1
trigger1 = Var(59) = 1
trigger1 = Var(2) != 1
trigger1 = P2Dist X < 0
trigger1 = P2BodyDist X > -100
v = 6
value = 1

[State -1]
type = ChangeState
triggerall = StateNo = 5110
triggerall = Alive = 1
trigger1 = Var(59) != 1
trigger1 = Command = "BB"
trigger2 = Var(59) = 1
trigger2 = Var(2) != 1
trigger2 = P2Dist X > 100
trigger3 = Var(59) = 1
trigger3 = Var(2) != 1
trigger3 = P2Dist X < 0
trigger3 = P2BodyDist X > -100
trigger4 = Var(59) = 1
trigger4 = Var(2) != 1
trigger4 = P2Dist X < 80
trigger4 = P2Dist X > 0
trigger4 = FrontEdgeDist <= 60
trigger4 = P2MoveType = A
value = 2001
ctrl = 0

;--------------------------------------------
;A.I
[State -1]
type = VarSet
trigger1 = Command = "ai1"
trigger2 = Command = "ai2"
trigger3 = Command = "ai3"
trigger4 = Command = "ai4"
trigger5 = Command = "ai5"
trigger6 = Command = "ai6"
trigger7 = Command = "ai7"
trigger8 = Command = "ai8"
trigger9 = Command = "ai9"
v = 59
value = 1

[State -1]
type = VarSet
trigger1 = Command = "aioff"
trigger1 = Helper(30000), Var(59)
v = 59
value = 0

[State -1]
type = Explod
trigger1 = Var(59) = 1
trigger1 = NumExplod(30000) = 0
anim = 30000
removetime = -1
bindtime = -1
facing = Facing
sprpriority = 99999
ownpal = 1
id = 30000

[State -1]
type = RemoveExplod
trigger1 = Var(59) = 0
id = 30000

[State -1]
type = VarRandom
trigger1 = Time >= 0
v = 1
range = 0,2

[State -1]
type = VarSet
trigger1 = Var(2) = 1
v = 2
value = 0