;===========================================================================
;Methods Of Mayhem
;---------------------------------------------------------------------------
; Rapid Stabs (light)
[Statedef 1100]
type    = S
movetype= A
physics = S
ctrl = 0
anim = 1100

[State 221, 2]
type = Helper
trigger1 = AnimElem = 2
helpertype = normal
id = 1105
pos = 9, -7
postype = p1
stateno = 1105

[State 220, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Rapid Stabs (hard)
[Statedef 1102]
type    = S
movetype= A
physics = S
ctrl = 0
anim = 1100
velset = 4, 0

[State 221, 2]
type = Helper
trigger1 = AnimElem = 2
helpertype = normal
id = 1106
pos = 14, -7
postype = p1
stateno = 1106

[State 220, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[Statedef 1105]
type    = S
movetype= A
physics = S
ctrl = 0
anim = 1105
juggle = 5

[State 221, 2]
type = HitDef
trigger1 = AnimElem = 1
trigger2 = AnimElem = 2
trigger3 = AnimElem = 3
attr = S, SA
hitflag = MAF
guardflag = MA
animtype = Hard
damage = 4
pausetime = 0, 6
sparkno = -1
hitsound = 5,2
guardsound = 6,0
ground.slidetime = 10
ground.hittime = 10
ground.velocity = -4
ground.cornerpush.veloff = 0

[State 221, 3]
type = DestroySelf
trigger1 = parent, stateno != 1100

[Statedef 1106]
type    = S
movetype= A
physics = S
ctrl = 0
anim = 1106
juggle = 5

[State 221, 2]
type = HitDef
trigger1 = AnimElem = 1
trigger2 = AnimElem = 2
trigger3 = AnimElem = 3
attr = S, SA
hitflag = MAF
guardflag = MA
animtype = Hard
damage = 5
pausetime = 0, 6
sparkno = -1
hitsound = 5,2
guardsound = 6,0
ground.slidetime = 10
ground.hittime = 10
ground.velocity = -4
ground.cornerpush.veloff = 0

[State 221, 3]
type = DestroySelf
trigger1 = parent, stateno != [1101, 1102]

;---------------------------------------------------------------------------
; Diving Attack (Downish)
[Statedef 1000]
type    = S
movetype= A
physics = A
ctrl = 0
anim = 1000
velset = 3, 6

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 53, 1                   ;Damage that move inflicts, guard damage
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 5, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
pausetime = 10, 10                 ;Time attacker pauses, time opponent shakes
sparkno = 2                      
sparkxy = 5, -20                                              
hitsound = 5, 0                  ;Sound to play on hit
guardsound = 6, 0                ;Sound to play on guard
ground.type = Trip               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5             ;Time that the opponent slides back
ground.hittime  = 15             ;Time opponent is in hit state
ground.velocity = -1, 0             ;Velocity at which opponent is pushed
airguard.velocity = -1.9,1.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.4,5           ;X-velocity at which opponent is pushed,
                                 ;Y-velocity at which opponent is pushed
air.hittime = 15                 ;Time before opponent regains control in air

[State Changestate]
type = Changestate
trigger1 = Movehit = 1
value = 1005

;---------------------------------------------------------------------------
; Diving Attack (Forwardish)
[Statedef 1001]
type    = S
movetype= A
physics = A
ctrl = 0
anim = 1000
velset = 5, 6

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 53, 1                   ;Damage that move inflicts, guard damage
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 5, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
pausetime = 10, 10                 ;Time attacker pauses, time opponent shakes
sparkno = 2                      
sparkxy = 5, -20                                              
hitsound = 5, 0                  ;Sound to play on hit
guardsound = 6, 0                ;Sound to play on guard
ground.type = Trip               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5             ;Time that the opponent slides back
ground.hittime  = 15             ;Time opponent is in hit state
ground.velocity = -1, 0             ;Velocity at which opponent is pushed
airguard.velocity = -1.9,1.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.4,5           ;X-velocity at which opponent is pushed,
                                 ;Y-velocity at which opponent is pushed
air.hittime = 15                 ;Time before opponent regains control in air

[State Changestate]
type = Changestate
trigger1 = Movehit = 1
value = 1005

[Statedef 1005]
type    = A
movetype= H
physics = A
velset = -2.8, -6

[State the one required action for this state]
type = Changestate
trigger1 = Animtime = 0
value = 0

;---------------------------------------------------------------------------
